GNU logs - #11365, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration
Resent-From: Sam Steingold <sds@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 27 Apr 2012 18:42:02 +0000
Resent-Message-ID: <handler.11365.B.13355520968958 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 11365
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 11365 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Reply-To: sds@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.13355520968958
          (code B ref -1); Fri, 27 Apr 2012 18:42:02 +0000
Received: (at submit) by debbugs.gnu.org; 27 Apr 2012 18:41:36 +0000
Received: from localhost ([127.0.0.1]:55706 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SNq6p-0002KQ-NI
	for submit <at> debbugs.gnu.org; Fri, 27 Apr 2012 14:41:36 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53106)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <sam.steingold@HIDDEN>) id 1SNq6m-0002K9-Ts
	for submit <at> debbugs.gnu.org; Fri, 27 Apr 2012 14:41:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <sam.steingold@HIDDEN>) id 1SNq5c-0000nl-Gu
	for submit <at> debbugs.gnu.org; Fri, 27 Apr 2012 14:40:22 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-5.2 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI, T_DKIM_INVALID,
	URIBL_BLACK autolearn=ham version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:58631)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <sam.steingold@HIDDEN>) id 1SNq5c-0000nY-B9
	for submit <at> debbugs.gnu.org; Fri, 27 Apr 2012 14:40:20 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38663)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <sam.steingold@HIDDEN>) id 1SNq5a-0000iX-Fq
	for bug-gnu-emacs@HIDDEN; Fri, 27 Apr 2012 14:40:19 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <sam.steingold@HIDDEN>) id 1SNq5Y-0000m5-H3
	for bug-gnu-emacs@HIDDEN; Fri, 27 Apr 2012 14:40:17 -0400
Received: from mail-qa0-f41.google.com ([209.85.216.41]:53779)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <sam.steingold@HIDDEN>)
	id 1SNq5U-0000k0-Ay; Fri, 27 Apr 2012 14:40:12 -0400
Received: by qabg27 with SMTP id g27so605972qab.0
	for <multiple recipients>; Fri, 27 Apr 2012 11:40:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=sender:from:to:subject:user-agent:return-receipt-to:reply-to
	:x-attribution:x-disclaimer:date:message-id:mime-version
	:content-type; bh=Lx/BbOVlotPtkAlOB8wDUZn+tYf8DLpUuzX1IXGw1fc=;
	b=kzgDkQAZjkv3pnU4lqSHxNl6XJAcVlQVDX0ga95OjH+9XhdEp3Mt9r31fGM88mAqxU
	i+PFsAJI67UYJjaCaNm1GABQ142vnY84ORdMJHhQnGVUyLC4LMHaxZRPjJoALtBoNlXQ
	5dXNYoMbl79dQK3BbiLXf+mhZKDo6uVQKzdmnoBd4mYyhnC0nM8U4pDgCKgtTEOsf2lI
	isIrUBrQ8CKX0C0lgezjxNMmIbe3s02eKzoZWIV1ghZygWiloIJWmseJvqbX8gZ+Dbqw
	bgK4qDoxmTBH2G11Je0HbWudXzEd5JWPulfP8KXVREYt0MQ/jE9onYt5m0TdCNWQcFMN
	bw6A==
Received: by 10.224.105.65 with SMTP id s1mr5377628qao.75.1335552010021;
	Fri, 27 Apr 2012 11:40:10 -0700 (PDT)
Received: from t520sds (cl-pat-tr.clearspring.com. [8.18.54.254])
	by mx.google.com with ESMTPS id m6sm11660944qah.2.2012.04.27.11.40.08
	(version=TLSv1/SSLv3 cipher=OTHER);
	Fri, 27 Apr 2012 11:40:09 -0700 (PDT)
From: Sam Steingold <sds@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
X-Attribution: Sam
X-Disclaimer: You should not expect anyone to agree with me.
Date: Fri, 27 Apr 2012 14:40:07 -0400
Message-ID: <87zk9xqarc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -4.4 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.4 (----)

In GNU Emacs 24.1.50.2 (x86_64-unknown-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2012-04-27 on t520sds
Bzr revision: 108056 cyd@HIDDEN
Windowing system distributor `The X.Org Foundation', version 11.0.11004000
Configured using:
 `configure '--with-wide-int''

quit in gdb now removes the gdb windows (which is very good! - except
that the *gud-lisp.run* buffer and window are preserved, which is not so
good) but it does not restore the window configuration which existed
when at M-x gdb RET time.

-- 
Sam Steingold (http://sds.podval.org/) on Ubuntu 11.10 (oneiric) X 11.0.11004000
http://www.childpsy.net/ http://dhimmi.com http://honestreporting.com
http://www.memritv.org http://palestinefacts.org
I don't like cats! -- Come on, you just don't know how to cook them!




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.428 (Entity 5.428)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: sds@HIDDEN
Subject: bug#11365: Acknowledgement (24.1.50; quitting gdb does not
 restore window configuration)
Message-ID: <handler.11365.B.13355520968958.ack <at> debbugs.gnu.org>
References: <87zk9xqarc.fsf@HIDDEN>
X-Gnu-PR-Message: ack 11365
X-Gnu-PR-Package: emacs
Reply-To: 11365 <at> debbugs.gnu.org
Date: Fri, 27 Apr 2012 18:42:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 11365 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
11365: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D11365
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 27 Apr 2012 19:03:02 +0000
Resent-Message-ID: <handler.11365.B11365.133555336110892 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11365
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: sds@HIDDEN
Cc: 11365 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11365-submit <at> debbugs.gnu.org id=B11365.133555336110892
          (code B ref 11365); Fri, 27 Apr 2012 19:03:02 +0000
Received: (at 11365) by debbugs.gnu.org; 27 Apr 2012 19:02:41 +0000
Received: from localhost ([127.0.0.1]:55725 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SNqRE-0002pc-AU
	for submit <at> debbugs.gnu.org; Fri, 27 Apr 2012 15:02:40 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:56799)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1SNqRA-0002pJ-NS
	for 11365 <at> debbugs.gnu.org; Fri, 27 Apr 2012 15:02:38 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0M3500D00JBSI900@HIDDEN> for
	11365 <at> debbugs.gnu.org; Fri, 27 Apr 2012 22:01:24 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([84.229.249.186]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M3500DZMJI9FGA0@HIDDEN>;
	Fri, 27 Apr 2012 22:01:22 +0300 (IDT)
Date: Fri, 27 Apr 2012 22:01:27 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <87zk9xqarc.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83wr516ltk.fsf@HIDDEN>
References: <87zk9xqarc.fsf@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Sam Steingold <sds@HIDDEN>
> Date: Fri, 27 Apr 2012 14:40:07 -0400
> 
> quit in gdb now removes the gdb windows (which is very good! - except
> that the *gud-lisp.run* buffer and window are preserved, which is not so
> good) but it does not restore the window configuration which existed
> when at M-x gdb RET time.

Did it ever do that?  I don't see this in 23.3, for example.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration
Resent-From: Sam Steingold <sds@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 27 Apr 2012 19:37:02 +0000
Resent-Message-ID: <handler.11365.B11365.133555536513853 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11365
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 11365 <at> debbugs.gnu.org
Reply-To: sds@HIDDEN
Received: via spool by 11365-submit <at> debbugs.gnu.org id=B11365.133555536513853
          (code B ref 11365); Fri, 27 Apr 2012 19:37:02 +0000
Received: (at 11365) by debbugs.gnu.org; 27 Apr 2012 19:36:05 +0000
Received: from localhost ([127.0.0.1]:55754 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SNqxY-0003bO-UG
	for submit <at> debbugs.gnu.org; Fri, 27 Apr 2012 15:36:05 -0400
Received: from mail-qc0-f172.google.com ([209.85.216.172]:54230)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <sam.steingold@HIDDEN>) id 1SNqxX-0003aq-Nu
	for 11365 <at> debbugs.gnu.org; Fri, 27 Apr 2012 15:36:04 -0400
Received: by qcsq13 with SMTP id q13so573755qcs.3
	for <11365 <at> debbugs.gnu.org>; Fri, 27 Apr 2012 12:34:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=sender:from:to:cc:subject:in-reply-to:references:user-agent
	:return-receipt-to:reply-to:x-attribution:x-disclaimer:date
	:message-id:mime-version:content-type;
	bh=RtevkzMUED1+PktsAILFuho9ikUUXlqkv0JvCiMeQVQ=;
	b=tAPeYGDgXIRA0Kt9obRjxfhGletMN6L5yFnRV0Y4/f0v9IBwtLjurvN5eUL8ipHNTs
	TSvGXTxyplP4yth/+eKFtSKJaTT6d8d9+HJKhzCSZ1Ge55s90wJHKx+jrACms7Rn6jny
	Qf6SSYBdOI7nN9GwjuNwPWDzRmoW5+z/dm4PJMGy0Gc21HLDRLjIRw7fzPKmVQjsGACG
	wlfUH5E6E6f4yi9zhy643NfaHPEfg1rFiQtWZigzdiMfgpcCbXcOL6PxSmyn+BdZKAtU
	YNuRykT5h3hmgmAAh9eHr0kl8xVNYb9+mBRu4jb9dT0QCHNCSN3eso6AcbwEdTNs8ZGK
	Cotw==
Received: by 10.224.9.138 with SMTP id l10mr10077646qal.43.1335555292713;
	Fri, 27 Apr 2012 12:34:52 -0700 (PDT)
Received: from t520sds (cl-pat-tr.clearspring.com. [8.18.54.254])
	by mx.google.com with ESMTPS id gb7sm10588954qab.12.2012.04.27.12.34.51
	(version=TLSv1/SSLv3 cipher=OTHER);
	Fri, 27 Apr 2012 12:34:52 -0700 (PDT)
From: Sam Steingold <sds@HIDDEN>
In-Reply-To: <83wr516ltk.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 27 Apr
	2012 22:01:27 +0300")
References: <87zk9xqarc.fsf@HIDDEN> <83wr516ltk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
X-Attribution: Sam
X-Disclaimer: You should not expect anyone to agree with me.
Date: Fri, 27 Apr 2012 15:34:50 -0400
Message-ID: <87obqdx92d.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.9 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.9 (/)

> * Eli Zaretskii <ryvm@HIDDEN> [2012-04-27 22:01:27 +0300]:
>
>> From: Sam Steingold <sds@HIDDEN>
>> Date: Fri, 27 Apr 2012 14:40:07 -0400
>> 
>> quit in gdb now removes the gdb windows (which is very good! - except
>> that the *gud-lisp.run* buffer and window are preserved, which is not so
>> good) but it does not restore the window configuration which existed
>> when at M-x gdb RET time.
>
> Did it ever do that?  I don't see this in 23.3, for example.

Until recently (see my bug#11273), quitting gdb did not change the
window configuration and preserved the stack, locals, &c windows and
buffers.
Now that was fixed and all those subsidiary buffers and windows are
killed.

however, the original window configuration is not restored, which is
wrong, and, also, the *gud* window is preserved, which is also wrong.

-- 
Sam Steingold (http://sds.podval.org/) on Ubuntu 11.10 (oneiric) X 11.0.11004000
http://www.childpsy.net/ http://www.memritv.org http://memri.org
http://jihadwatch.org http://pmw.org.il http://iris.org.il http://dhimmi.com
Single tasking: Just Say No.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 28 Apr 2012 06:54:01 +0000
Resent-Message-ID: <handler.11365.B11365.133559598514622 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11365
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: sds@HIDDEN
Cc: 11365 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11365-submit <at> debbugs.gnu.org id=B11365.133559598514622
          (code B ref 11365); Sat, 28 Apr 2012 06:54:01 +0000
Received: (at 11365) by debbugs.gnu.org; 28 Apr 2012 06:53:05 +0000
Received: from localhost ([127.0.0.1]:56020 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SO1Wj-0003nn-3B
	for submit <at> debbugs.gnu.org; Sat, 28 Apr 2012 02:53:05 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:32776)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1SO1Wd-0003nG-RK
	for 11365 <at> debbugs.gnu.org; Sat, 28 Apr 2012 02:53:01 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0M3600E00G33ZQ00@HIDDEN> for
	11365 <at> debbugs.gnu.org; Sat, 28 Apr 2012 09:51:45 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([84.229.21.156]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M3600E9PGE8ZM30@HIDDEN>;
	Sat, 28 Apr 2012 09:51:45 +0300 (IDT)
Date: Sat, 28 Apr 2012 09:51:51 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <87obqdx92d.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83ty0473i0.fsf@HIDDEN>
References: <87zk9xqarc.fsf@HIDDEN> <83wr516ltk.fsf@HIDDEN>
	<87obqdx92d.fsf@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Sam Steingold <sds@HIDDEN>
> Cc: 11365 <at> debbugs.gnu.org
> Date: Fri, 27 Apr 2012 15:34:50 -0400
> 
> > * Eli Zaretskii <ryvm@HIDDEN> [2012-04-27 22:01:27 +0300]:
> >
> >> From: Sam Steingold <sds@HIDDEN>
> >> Date: Fri, 27 Apr 2012 14:40:07 -0400
> >> 
> >> quit in gdb now removes the gdb windows (which is very good! - except
> >> that the *gud-lisp.run* buffer and window are preserved, which is not so
> >> good) but it does not restore the window configuration which existed
> >> when at M-x gdb RET time.
> >
> > Did it ever do that?  I don't see this in 23.3, for example.
> 
> Until recently (see my bug#11273), quitting gdb did not change the
> window configuration and preserved the stack, locals, &c windows and
> buffers.
> Now that was fixed and all those subsidiary buffers and windows are
> killed.
> 
> however, the original window configuration is not restored, which is
> wrong, and, also, the *gud* window is preserved, which is also wrong.

Then I guess you are requesting a new feature.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration
Resent-From: martin rudalics <rudalics@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 28 Apr 2012 08:27:01 +0000
Resent-Message-ID: <handler.11365.B11365.133560160822738 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11365
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: sds@HIDDEN
Cc: 11365 <at> debbugs.gnu.org
Received: via spool by 11365-submit <at> debbugs.gnu.org id=B11365.133560160822738
          (code B ref 11365); Sat, 28 Apr 2012 08:27:01 +0000
Received: (at 11365) by debbugs.gnu.org; 28 Apr 2012 08:26:48 +0000
Received: from localhost ([127.0.0.1]:56104 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SO2zQ-0005ug-5Q
	for submit <at> debbugs.gnu.org; Sat, 28 Apr 2012 04:26:48 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:48546)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1SO2zN-0005uJ-SU
	for 11365 <at> debbugs.gnu.org; Sat, 28 Apr 2012 04:26:46 -0400
Received: (qmail invoked by alias); 28 Apr 2012 08:25:31 -0000
Received: from 62-47-37-185.adsl.highway.telekom.at (EHLO [62.47.37.185])
	[62.47.37.185]
	by mail.gmx.net (mp020) with SMTP; 28 Apr 2012 10:25:31 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1+Y+cEw1k+YgbffyDFNY/fMkASSqwejpnu7RdmK6k
	lsNd9qGvbN2snY
Message-ID: <4F9BA973.1030806@HIDDEN>
Date: Sat, 28 Apr 2012 10:25:23 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
References: <87zk9xqarc.fsf@HIDDEN>
In-Reply-To: <87zk9xqarc.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.9 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

 > quit in gdb now removes the gdb windows (which is very good! - except
 > that the *gud-lisp.run* buffer and window are preserved, which is not so
 > good) but it does not restore the window configuration which existed
 > when at M-x gdb RET time.

Which command does "quit" run - `gdb-delete-frame-or-window'?

martin




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration
Resent-From: Sam Steingold <sds@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 30 Apr 2012 22:16:01 +0000
Resent-Message-ID: <handler.11365.B11365.133582414723193 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11365
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: martin rudalics <rudalics@HIDDEN>
Cc: 11365 <at> debbugs.gnu.org
Received: via spool by 11365-submit <at> debbugs.gnu.org id=B11365.133582414723193
          (code B ref 11365); Mon, 30 Apr 2012 22:16:01 +0000
Received: (at 11365) by debbugs.gnu.org; 30 Apr 2012 22:15:47 +0000
Received: from localhost ([127.0.0.1]:59392 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SOysl-000622-JW
	for submit <at> debbugs.gnu.org; Mon, 30 Apr 2012 18:15:47 -0400
Received: from mail-iy0-f172.google.com ([209.85.210.172]:63082)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <sam.steingold@HIDDEN>) id 1SOysj-00061p-FK
	for 11365 <at> debbugs.gnu.org; Mon, 30 Apr 2012 18:15:46 -0400
Received: by iazz13 with SMTP id z13so4590208iaz.3
	for <11365 <at> debbugs.gnu.org>; Mon, 30 Apr 2012 15:14:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:sender:in-reply-to:references:date
	:x-google-sender-auth:message-id:subject:from:to:cc:content-type;
	bh=1+CEOpq6HvqGmvQIygsnNi96fSHH/sRJKSLl0BgCKso=;
	b=rkKehdKM05GK10kwkuu6auZQVrB1ZUBCg3g28A7gtGmgDW9aCoLt4YZg42hT/cYu9P
	yokEYB629cVnBvMymdrRk/aigO0SZGS+m+vpJ/ZJZZtoQYK5lEmXGoV3ibMdgRhKbwmk
	zuPcxwQ9RezyzHcdzfWp1tfIzCW9zqek8n9NsDVH21njsGsEod7jVc1yFb2q2la6IHUn
	5N7Up9sM1GZ7WFz/7CLwev6RRNLirUZMMLdSJmOcxMXwrPerXPo6YARrfJXzG2xMVMrz
	nP0q2McFK4ylafg1azPCVIRPqTFVZgTuIzAqb+ceJFOT3jfAyocnrRC5DpxjFv7c/mJr
	TdHA==
MIME-Version: 1.0
Received: by 10.42.89.8 with SMTP id e8mr1628010icm.50.1335824056430; Mon, 30
	Apr 2012 15:14:16 -0700 (PDT)
Received: by 10.42.172.65 with HTTP; Mon, 30 Apr 2012 15:14:16 -0700 (PDT)
In-Reply-To: <4F9BA973.1030806@HIDDEN>
References: <87zk9xqarc.fsf@HIDDEN>
	<4F9BA973.1030806@HIDDEN>
Date: Mon, 30 Apr 2012 18:14:16 -0400
X-Google-Sender-Auth: t2W5J4ZcATzJVvazbufrjkspkiQ
Message-ID: <CAFsbZ7bwbK3bjPh_=5jLrr8i76T7j4JBAVfzWzg5bd7CUtxehg@HIDDEN>
From: Sam Steingold <sds@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.9 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.9 (/)

On Sat, Apr 28, 2012 at 04:25, martin rudalics <rudalics@HIDDEN> wrote:
>> quit in gdb now removes the gdb windows (which is very good! - except
>> that the *gud-lisp.run* buffer and window are preserved, which is not so
>> good) but it does not restore the window configuration which existed
>> when at M-x gdb RET time.
>
> Which command does "quit" run - `gdb-delete-frame-or-window'?

dunno. the code indicates that, but the function seems too simple to
remove all those subordinate windows and buffers.


-- 
Sam Steingold <http://sds.podval.org> <http://www.childpsy.net/>




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration
Resent-From: martin rudalics <rudalics@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 01 May 2012 08:11:02 +0000
Resent-Message-ID: <handler.11365.B11365.133585983515709 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11365
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Sam Steingold <sds@HIDDEN>
Cc: 11365 <at> debbugs.gnu.org
Received: via spool by 11365-submit <at> debbugs.gnu.org id=B11365.133585983515709
          (code B ref 11365); Tue, 01 May 2012 08:11:02 +0000
Received: (at 11365) by debbugs.gnu.org; 1 May 2012 08:10:35 +0000
Received: from localhost ([127.0.0.1]:59856 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SP8AN-00045K-5j
	for submit <at> debbugs.gnu.org; Tue, 01 May 2012 04:10:35 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:53868)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1SP8AM-00044w-62
	for 11365 <at> debbugs.gnu.org; Tue, 01 May 2012 04:10:34 -0400
Received: (qmail invoked by alias); 01 May 2012 08:09:02 -0000
Received: from 62-47-47-233.adsl.highway.telekom.at (EHLO [62.47.47.233])
	[62.47.47.233]
	by mail.gmx.net (mp016) with SMTP; 01 May 2012 10:09:02 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1+wENgRFSewaA0q3gmRBVFi+O7LLECAN5a0jHI4uo
	yrFgobWuuLJozH
Message-ID: <4F9F9A1D.3010605@HIDDEN>
Date: Tue, 01 May 2012 10:09:01 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
References: <87zk9xqarc.fsf@HIDDEN>	<4F9BA973.1030806@HIDDEN>
	<CAFsbZ7bwbK3bjPh_=5jLrr8i76T7j4JBAVfzWzg5bd7CUtxehg@HIDDEN>
In-Reply-To: <CAFsbZ7bwbK3bjPh_=5jLrr8i76T7j4JBAVfzWzg5bd7CUtxehg@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.9 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

 >> Which command does "quit" run - `gdb-delete-frame-or-window'?
 >
 > dunno. the code indicates that, but the function seems too simple to
 > remove all those subordinate windows and buffers.

So you have to check your key bindings ;-)

martin




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration
Resent-From: Sam Steingold <sds@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 01 May 2012 12:28:01 +0000
Resent-Message-ID: <handler.11365.B11365.133587523812749 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11365
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: martin rudalics <rudalics@HIDDEN>
Cc: 11365 <at> debbugs.gnu.org
Received: via spool by 11365-submit <at> debbugs.gnu.org id=B11365.133587523812749
          (code B ref 11365); Tue, 01 May 2012 12:28:01 +0000
Received: (at 11365) by debbugs.gnu.org; 1 May 2012 12:27:18 +0000
Received: from localhost ([127.0.0.1]:60471 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SPCAo-0003JZ-2X
	for submit <at> debbugs.gnu.org; Tue, 01 May 2012 08:27:18 -0400
Received: from mail-iy0-f172.google.com ([209.85.210.172]:59687)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <sam.steingold@HIDDEN>) id 1SPCAm-0003JN-6M
	for 11365 <at> debbugs.gnu.org; Tue, 01 May 2012 08:27:16 -0400
Received: by iazz13 with SMTP id z13so5283386iaz.3
	for <11365 <at> debbugs.gnu.org>; Tue, 01 May 2012 05:25:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:sender:in-reply-to:references:date
	:x-google-sender-auth:message-id:subject:from:to:cc:content-type;
	bh=7Y/Nc/Ov+RkDvz1CWJkfZQNYtmwDbd6r3ZvCsWcHFc0=;
	b=CpEE6WS9bhVqy7cx7cBa2nk0c7t9DrTxwHlK5CNgqhX9Cx3zLvIXRf+XOMO8WD/dV8
	hvOpJIhP8ePUq0isUF1U2GVqbwBRWOWJUwG39/3bZQrZe4FyRqmmM3Qv7RioyQaZVJ06
	8Lj9ICSlNZybxhy9HujIM+jN3dR7236Oo1u1u8UkX1sKwHtxoq9asO55SNIASJ7KkCcN
	mCC6Vmhr0pP7BoZcQCDnt9EKTA2WLIYyp9T38+YWurTdj9t8E1G+fRW4vmPwp8F81GYe
	kiU4DNvt3gNGahyDGUb+uHZSQssxmqoTJyeyb0ySCJirmfhCwQnavswLuT3hMBK6sRZd
	bKig==
MIME-Version: 1.0
Received: by 10.50.89.200 with SMTP id bq8mr1565155igb.45.1335875144053; Tue,
	01 May 2012 05:25:44 -0700 (PDT)
Received: by 10.42.172.65 with HTTP; Tue, 1 May 2012 05:25:44 -0700 (PDT)
In-Reply-To: <4F9F9A1D.3010605@HIDDEN>
References: <87zk9xqarc.fsf@HIDDEN> <4F9BA973.1030806@HIDDEN>
	<CAFsbZ7bwbK3bjPh_=5jLrr8i76T7j4JBAVfzWzg5bd7CUtxehg@HIDDEN>
	<4F9F9A1D.3010605@HIDDEN>
Date: Tue, 1 May 2012 08:25:44 -0400
X-Google-Sender-Auth: 6PIHwZ9u6EhXtqhjbWafPlddYYU
Message-ID: <CAFsbZ7bnO-Bk-8d+ex+exWHcQWwncNg2ZwRf-HnBXLOLy_AN5Q@HIDDEN>
From: Sam Steingold <sds@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.9 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.9 (/)

On Tue, May 1, 2012 at 04:09, martin rudalics <rudalics@HIDDEN> wrote:
>>> Which command does "quit" run - `gdb-delete-frame-or-window'?
>>
>> dunno. the code indicates that, but the function seems too simple to
>> remove all those subordinate windows and buffers.
>
> So you have to check your key bindings ;-)

I type "q u i t RET" in the *gud* buffer.
do you seriously think I rebind any of those keys?!


-- 
Sam Steingold <http://sds.podval.org> <http://www.childpsy.net/>




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 01 May 2012 15:57:01 +0000
Resent-Message-ID: <handler.11365.B11365.13358877755070 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11365
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: martin rudalics <rudalics@HIDDEN>
Cc: 11365 <at> debbugs.gnu.org, sds@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11365-submit <at> debbugs.gnu.org id=B11365.13358877755070
          (code B ref 11365); Tue, 01 May 2012 15:57:01 +0000
Received: (at 11365) by debbugs.gnu.org; 1 May 2012 15:56:15 +0000
Received: from localhost ([127.0.0.1]:60943 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SPFR1-0001Jj-Ag
	for submit <at> debbugs.gnu.org; Tue, 01 May 2012 11:56:15 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:47915)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1SPFQy-0001JV-St
	for 11365 <at> debbugs.gnu.org; Tue, 01 May 2012 11:56:14 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0M3C00A00PBSQS00@HIDDEN> for
	11365 <at> debbugs.gnu.org; Tue, 01 May 2012 18:54:37 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([84.228.21.115]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M3C00AUDPJ0EO60@HIDDEN>;
	Tue, 01 May 2012 18:54:37 +0300 (IDT)
Date: Tue, 01 May 2012 18:54:52 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <4F9F9A1D.3010605@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83zk9rsxpv.fsf@HIDDEN>
References: <87zk9xqarc.fsf@HIDDEN> <4F9BA973.1030806@HIDDEN>
	<CAFsbZ7bwbK3bjPh_=5jLrr8i76T7j4JBAVfzWzg5bd7CUtxehg@HIDDEN>
	<4F9F9A1D.3010605@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> Date: Tue, 01 May 2012 10:09:01 +0200
> From: martin rudalics <rudalics@HIDDEN>
> Cc: 11365 <at> debbugs.gnu.org
> 
>  >> Which command does "quit" run - `gdb-delete-frame-or-window'?
>  >
>  > dunno. the code indicates that, but the function seems too simple to
>  > remove all those subordinate windows and buffers.
> 
> So you have to check your key bindings ;-)

No, he doesn't.  The function to look at is gdb-reset.
(gdb-delete-frame-or-window is just what causes GDB to quit, but when
it actually does, the comint process sentinel kicks in and calls
gdb-reset.)  But for gdb-reset to do what Sam wants, gdb-setup-windows
should record the configuration of windows before it sets up the GDB
windows, otherwise we will have no information about the previous
window configuration.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration
Resent-From: martin rudalics <rudalics@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 02 May 2012 09:42:01 +0000
Resent-Message-ID: <handler.11365.B11365.133595167312165 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11365
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Sam Steingold <sds@HIDDEN>
Cc: 11365 <at> debbugs.gnu.org
Received: via spool by 11365-submit <at> debbugs.gnu.org id=B11365.133595167312165
          (code B ref 11365); Wed, 02 May 2012 09:42:01 +0000
Received: (at 11365) by debbugs.gnu.org; 2 May 2012 09:41:13 +0000
Received: from localhost ([127.0.0.1]:33259 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SPW3c-0003A9-NK
	for submit <at> debbugs.gnu.org; Wed, 02 May 2012 05:41:12 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:41378)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1SPW3a-00039x-RP
	for 11365 <at> debbugs.gnu.org; Wed, 02 May 2012 05:41:11 -0400
Received: (qmail invoked by alias); 02 May 2012 09:39:33 -0000
Received: from 62-47-54-98.adsl.highway.telekom.at (EHLO [62.47.54.98])
	[62.47.54.98]
	by mail.gmx.net (mp016) with SMTP; 02 May 2012 11:39:33 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX193vMB4eCp3GAnjH+l9jKvqZUFqr2v2CsJJSbcYcd
	QNFHKTxoiAufW8
Message-ID: <4FA100E7.3040605@HIDDEN>
Date: Wed, 02 May 2012 11:39:51 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
References: <87zk9xqarc.fsf@HIDDEN>	<4F9BA973.1030806@HIDDEN>	<CAFsbZ7bwbK3bjPh_=5jLrr8i76T7j4JBAVfzWzg5bd7CUtxehg@HIDDEN>	<4F9F9A1D.3010605@HIDDEN>
	<CAFsbZ7bnO-Bk-8d+ex+exWHcQWwncNg2ZwRf-HnBXLOLy_AN5Q@HIDDEN>
In-Reply-To: <CAFsbZ7bnO-Bk-8d+ex+exWHcQWwncNg2ZwRf-HnBXLOLy_AN5Q@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.9 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

 > I type "q u i t RET" in the *gud* buffer.
 > do you seriously think I rebind any of those keys?!

No.  I was confused because you earlier said that quitting "now removes
the gdb windows" which is something gdb-mi always did here (at least
since Emacs 22). So I thought that you might use some specific command
to quit.

martin




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration
Resent-From: martin rudalics <rudalics@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 02 May 2012 09:42:02 +0000
Resent-Message-ID: <handler.11365.B11365.133595168512188 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11365
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 11365 <at> debbugs.gnu.org, sds@HIDDEN
Received: via spool by 11365-submit <at> debbugs.gnu.org id=B11365.133595168512188
          (code B ref 11365); Wed, 02 May 2012 09:42:02 +0000
Received: (at 11365) by debbugs.gnu.org; 2 May 2012 09:41:25 +0000
Received: from localhost ([127.0.0.1]:33262 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SPW3p-0003AX-6E
	for submit <at> debbugs.gnu.org; Wed, 02 May 2012 05:41:25 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:60554)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1SPW3n-0003AK-0n
	for 11365 <at> debbugs.gnu.org; Wed, 02 May 2012 05:41:23 -0400
Received: (qmail invoked by alias); 02 May 2012 09:39:45 -0000
Received: from 62-47-54-98.adsl.highway.telekom.at (EHLO [62.47.54.98])
	[62.47.54.98]
	by mail.gmx.net (mp038) with SMTP; 02 May 2012 11:39:45 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX19cOo9N9AJcHikigdBPpQQhSOmFnd1w5uwgtlVGZ6
	X1XNZIaEd1nw2R
Message-ID: <4FA100F3.5090102@HIDDEN>
Date: Wed, 02 May 2012 11:40:03 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
References: <87zk9xqarc.fsf@HIDDEN> <4F9BA973.1030806@HIDDEN>
	<CAFsbZ7bwbK3bjPh_=5jLrr8i76T7j4JBAVfzWzg5bd7CUtxehg@HIDDEN>
	<4F9F9A1D.3010605@HIDDEN> <83zk9rsxpv.fsf@HIDDEN>
In-Reply-To: <83zk9rsxpv.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.9 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

 > The function to look at is gdb-reset.
 > (gdb-delete-frame-or-window is just what causes GDB to quit, but when
 > it actually does, the comint process sentinel kicks in and calls
 > gdb-reset.)  But for gdb-reset to do what Sam wants, gdb-setup-windows
 > should record the configuration of windows before it sets up the GDB
 > windows, otherwise we will have no information about the previous
 > window configuration.

I fail to understand you.  The window configuration *is* handled by
`gdb-delete-frame-or-window'.  What should `gdb-reset' do about it and
when?  IIUC Sam wants `gdb-delete-frame-or-window' restore a previous
configuration.

martin




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration
Resent-From: Sam Steingold <sds@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 02 May 2012 14:19:02 +0000
Resent-Message-ID: <handler.11365.B11365.133596831816947 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11365
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: martin rudalics <rudalics@HIDDEN>
Cc: 11365 <at> debbugs.gnu.org
Reply-To: sds@HIDDEN
Received: via spool by 11365-submit <at> debbugs.gnu.org id=B11365.133596831816947
          (code B ref 11365); Wed, 02 May 2012 14:19:02 +0000
Received: (at 11365) by debbugs.gnu.org; 2 May 2012 14:18:38 +0000
Received: from localhost ([127.0.0.1]:33853 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SPaO5-0004PH-1c
	for submit <at> debbugs.gnu.org; Wed, 02 May 2012 10:18:37 -0400
Received: from mail-vx0-f172.google.com ([209.85.220.172]:43949)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <sam.steingold@HIDDEN>) id 1SPaO2-0004P5-OD
	for 11365 <at> debbugs.gnu.org; Wed, 02 May 2012 10:18:35 -0400
Received: by vcbfo1 with SMTP id fo1so461634vcb.3
	for <11365 <at> debbugs.gnu.org>; Wed, 02 May 2012 07:16:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=sender:from:to:cc:subject:in-reply-to:references:user-agent
	:return-receipt-to:reply-to:x-attribution:x-disclaimer:date
	:message-id:mime-version:content-type;
	bh=blvIVL/cVissMC83qJTDE3oXNUwu9XXgV9XGB4lrrh8=;
	b=j9aCnNffWzCFk2UQ/vQdk6fEy169OZgGbPS1nMjCqVR9D0bUnzLdJjgpAX7A3OkhPm
	hGNVGRarLSDXMbQb5HbszfeaLHSokhSdZGwU7qY5eykCH89KHn+au6XWXN9Ipa96Wn7J
	5nmYf5qrcfft4LNpuf8ozsWASFqdL0c8FgZgvTKRFqBwS1THQrexB1T5seiJmctjmaft
	8R8zsA71qSxjxjYfO8qxs0YNUJoaXVgpI59UylgOVxLRy2v4uW6jIZHjwkUm0w6ClbD/
	WKVFbDOmdSo+PI60vvN0V6qbZGMu99NO7pEh6zP5kBUbZk+HFuZ/TNj6v+NqkYA1aTfF
	BrMg==
Received: by 10.220.63.9 with SMTP id z9mr9778686vch.64.1335968216373;
	Wed, 02 May 2012 07:16:56 -0700 (PDT)
Received: from t520sds (cl-pat-tr.clearspring.com. [8.18.54.254])
	by mx.google.com with ESMTPS id wd17sm3101259vdc.21.2012.05.02.07.16.54
	(version=TLSv1/SSLv3 cipher=OTHER);
	Wed, 02 May 2012 07:16:55 -0700 (PDT)
From: Sam Steingold <sds@HIDDEN>
In-Reply-To: <4FA100E7.3040605@HIDDEN> (martin rudalics's message of "Wed, 02
	May 2012 11:39:51 +0200")
References: <87zk9xqarc.fsf@HIDDEN> <4F9BA973.1030806@HIDDEN>
	<CAFsbZ7bwbK3bjPh_=5jLrr8i76T7j4JBAVfzWzg5bd7CUtxehg@HIDDEN>
	<4F9F9A1D.3010605@HIDDEN>
	<CAFsbZ7bnO-Bk-8d+ex+exWHcQWwncNg2ZwRf-HnBXLOLy_AN5Q@HIDDEN>
	<4FA100E7.3040605@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
X-Attribution: Sam
X-Disclaimer: You should not expect anyone to agree with me.
Date: Wed, 02 May 2012 10:16:53 -0400
Message-ID: <87ehr2pt0q.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.9 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.9 (/)

> * martin rudalics <ehqnyvpf@HIDDEN> [2012-05-02 11:39:51 +0200]:
>
>> I type "q u i t RET" in the *gud* buffer.
>> do you seriously think I rebind any of those keys?!
>
> No.  I was confused because you earlier said that quitting "now
> removes the gdb windows" which is something gdb-mi always did here (at
> least since Emacs 22). So I thought that you might use some specific
> command to quit.

This was not quite what I saw.
My experience was that the gdb windows hang around.

-- 
Sam Steingold (http://sds.podval.org/) on Ubuntu 11.10 (oneiric) X 11.0.11103000
http://www.childpsy.net/ http://ffii.org http://mideasttruth.com
http://www.memritv.org http://memri.org http://thereligionofpeace.com
Professionalism is being dispassionate about your work.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 02 May 2012 16:05:02 +0000
Resent-Message-ID: <handler.11365.B11365.133597469526405 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11365
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: martin rudalics <rudalics@HIDDEN>
Cc: 11365 <at> debbugs.gnu.org, sds@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11365-submit <at> debbugs.gnu.org id=B11365.133597469526405
          (code B ref 11365); Wed, 02 May 2012 16:05:02 +0000
Received: (at 11365) by debbugs.gnu.org; 2 May 2012 16:04:55 +0000
Received: from localhost ([127.0.0.1]:33941 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SPc2x-0006rp-8s
	for submit <at> debbugs.gnu.org; Wed, 02 May 2012 12:04:55 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:49050)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1SPc2u-0006rc-UR
	for 11365 <at> debbugs.gnu.org; Wed, 02 May 2012 12:04:54 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0M3E00200KK2HN00@HIDDEN> for
	11365 <at> debbugs.gnu.org; Wed, 02 May 2012 19:02:39 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([84.228.21.115]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M3E002P4KKEEG10@HIDDEN>;
	Wed, 02 May 2012 19:02:39 +0300 (IDT)
Date: Wed, 02 May 2012 19:02:56 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <4FA100F3.5090102@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83mx5qsh8v.fsf@HIDDEN>
References: <87zk9xqarc.fsf@HIDDEN> <4F9BA973.1030806@HIDDEN>
	<CAFsbZ7bwbK3bjPh_=5jLrr8i76T7j4JBAVfzWzg5bd7CUtxehg@HIDDEN>
	<4F9F9A1D.3010605@HIDDEN> <83zk9rsxpv.fsf@HIDDEN>
	<4FA100F3.5090102@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> Date: Wed, 02 May 2012 11:40:03 +0200
> From: martin rudalics <rudalics@HIDDEN>
> CC: sds@HIDDEN, 11365 <at> debbugs.gnu.org
> 
>  > The function to look at is gdb-reset.
>  > (gdb-delete-frame-or-window is just what causes GDB to quit, but when
>  > it actually does, the comint process sentinel kicks in and calls
>  > gdb-reset.)  But for gdb-reset to do what Sam wants, gdb-setup-windows
>  > should record the configuration of windows before it sets up the GDB
>  > windows, otherwise we will have no information about the previous
>  > window configuration.
> 
> I fail to understand you.  The window configuration *is* handled by
> `gdb-delete-frame-or-window'.  What should `gdb-reset' do about it and
> when?  IIUC Sam wants `gdb-delete-frame-or-window' restore a previous
> configuration.

It is IMO wrong to do what Sam wants in gdb-delete-frame-or-window.
That's because the restoration of the window configuration should be
done when GDB actually exits, not when the user _tells_ GDB to exit.
The function which handles the exit event is gdb-reset.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration
Resent-From: martin rudalics <rudalics@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 05 May 2012 09:44:02 +0000
Resent-Message-ID: <handler.11365.B11365.133621103318833 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11365
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 11365 <at> debbugs.gnu.org, sds@HIDDEN
Received: via spool by 11365-submit <at> debbugs.gnu.org id=B11365.133621103318833
          (code B ref 11365); Sat, 05 May 2012 09:44:02 +0000
Received: (at 11365) by debbugs.gnu.org; 5 May 2012 09:43:53 +0000
Received: from localhost ([127.0.0.1]:36733 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SQbWq-0004th-Bw
	for submit <at> debbugs.gnu.org; Sat, 05 May 2012 05:43:52 -0400
Received: from mailout-de.gmx.net ([213.165.64.23]:60028)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1SQbWn-0004tR-DU
	for 11365 <at> debbugs.gnu.org; Sat, 05 May 2012 05:43:51 -0400
Received: (qmail invoked by alias); 05 May 2012 09:41:54 -0000
Received: from 62-47-36-225.adsl.highway.telekom.at (EHLO [62.47.36.225])
	[62.47.36.225]
	by mail.gmx.net (mp027) with SMTP; 05 May 2012 11:41:54 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1+Ryj0vqfiRKvRAQGXtIOboknSfZd8VILfHN29JV+
	YPt0LrOdJG1X9K
Message-ID: <4FA4F5EC.8080203@HIDDEN>
Date: Sat, 05 May 2012 11:42:04 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
References: <87zk9xqarc.fsf@HIDDEN> <4F9BA973.1030806@HIDDEN>
	<CAFsbZ7bwbK3bjPh_=5jLrr8i76T7j4JBAVfzWzg5bd7CUtxehg@HIDDEN>
	<4F9F9A1D.3010605@HIDDEN> <83zk9rsxpv.fsf@HIDDEN>
	<4FA100F3.5090102@HIDDEN> <83mx5qsh8v.fsf@HIDDEN>
In-Reply-To: <83mx5qsh8v.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.9 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

 > It is IMO wrong to do what Sam wants in gdb-delete-frame-or-window.

`gdb-delete-frame-or-window' is completely unrelated to this discussion.
I was mislead by its binding to `quit' in `gdb-breakpoints-mode-map' and
the fact that it could delete a window or frame.  Sorry for bringing it
in here in the first place.

 > That's because the restoration of the window configuration should be
 > done when GDB actually exits, not when the user _tells_ GDB to exit.
 > The function which handles the exit event is gdb-reset.

Indeed.  However, this presents a problem of orthogonality.  We would
have to save the window configuration in `gud-common-init' (in gud.el)
and restore it in `gdb-reset' (in gdb-mi.el) which looks pretty ugly to
me.  So `gud-common-init' would have to be aware of whether it's called
from `gdb' to avoid a leak.  Note that every stored window configuration
uses up memory and causes overhead for maintaining markers.

martin




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration
Resent-From: martin rudalics <rudalics@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 05 May 2012 09:44:03 +0000
Resent-Message-ID: <handler.11365.B11365.133621103518846 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11365
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: sds@HIDDEN
Cc: 11365 <at> debbugs.gnu.org
Received: via spool by 11365-submit <at> debbugs.gnu.org id=B11365.133621103518846
          (code B ref 11365); Sat, 05 May 2012 09:44:03 +0000
Received: (at 11365) by debbugs.gnu.org; 5 May 2012 09:43:55 +0000
Received: from localhost ([127.0.0.1]:36736 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SQbWt-0004tv-0i
	for submit <at> debbugs.gnu.org; Sat, 05 May 2012 05:43:55 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:50074)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1SQbWr-0004tY-Gs
	for 11365 <at> debbugs.gnu.org; Sat, 05 May 2012 05:43:54 -0400
Received: (qmail invoked by alias); 05 May 2012 09:41:58 -0000
Received: from 62-47-36-225.adsl.highway.telekom.at (EHLO [62.47.36.225])
	[62.47.36.225]
	by mail.gmx.net (mp012) with SMTP; 05 May 2012 11:41:58 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1+I9McgfeuILLMXCiP65GvzWCV6jjXuii4nyPahKK
	dqshAQyjTp8EIj
Message-ID: <4FA4F5F0.6030401@HIDDEN>
Date: Sat, 05 May 2012 11:42:08 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
References: <87zk9xqarc.fsf@HIDDEN>
	<4F9BA973.1030806@HIDDEN>	<CAFsbZ7bwbK3bjPh_=5jLrr8i76T7j4JBAVfzWzg5bd7CUtxehg@HIDDEN>	<4F9F9A1D.3010605@HIDDEN>	<CAFsbZ7bnO-Bk-8d+ex+exWHcQWwncNg2ZwRf-HnBXLOLy_AN5Q@HIDDEN>	<4FA100E7.3040605@HIDDEN>
	<87ehr2pt0q.fsf@HIDDEN>
In-Reply-To: <87ehr2pt0q.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="------------020904080404080608060506"
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.9 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

This is a multi-part message in MIME format.
--------------020904080404080608060506
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit

 > My experience was that the gdb windows hang around.

Even before bug#11273?

Anyway, what about calling `quit-window' as in the attached patch?

martin

--------------020904080404080608060506
Content-Type: text/plain;
 name="gdb-mi.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="gdb-mi.diff"

*** lisp/progmodes/gdb-mi.el	2012-04-25 08:07:57 +0000
--- lisp/progmodes/gdb-mi.el	2012-05-05 07:46:14 +0000
***************
*** 4187,4193 ****
    (if (boundp 'speedbar-frame) (speedbar-timer-fn))
    (setq gud-running nil)
    (setq gdb-active-process nil)
!   (remove-hook 'after-save-hook 'gdb-create-define-alist t))
  
  (defun gdb-get-source-file ()
    "Find the source file where the program starts and display it with related
--- 4187,4196 ----
    (if (boundp 'speedbar-frame) (speedbar-timer-fn))
    (setq gud-running nil)
    (setq gdb-active-process nil)
!   (remove-hook 'after-save-hook 'gdb-create-define-alist t)
!   ;; Quit window of any *gud- buffer.
!   (when (string-match "\\*gud-" (buffer-name (window-buffer)))
!     (quit-window)))
  
  (defun gdb-get-source-file ()
    "Find the source file where the program starts and display it with related


--------------020904080404080608060506--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 05 May 2012 09:54:02 +0000
Resent-Message-ID: <handler.11365.B11365.133621160819668 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11365
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: martin rudalics <rudalics@HIDDEN>
Cc: 11365 <at> debbugs.gnu.org, sds@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11365-submit <at> debbugs.gnu.org id=B11365.133621160819668
          (code B ref 11365); Sat, 05 May 2012 09:54:02 +0000
Received: (at 11365) by debbugs.gnu.org; 5 May 2012 09:53:28 +0000
Received: from localhost ([127.0.0.1]:36742 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SQbg7-00057A-Tx
	for submit <at> debbugs.gnu.org; Sat, 05 May 2012 05:53:28 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:56513)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1SQbg5-00056w-TS
	for 11365 <at> debbugs.gnu.org; Sat, 05 May 2012 05:53:27 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0M3J00B00NC1UZ00@HIDDEN> for
	11365 <at> debbugs.gnu.org; Sat, 05 May 2012 12:51:30 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.210.75]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M3J00BRQNDTDS80@HIDDEN>;
	Sat, 05 May 2012 12:51:30 +0300 (IDT)
Date: Sat, 05 May 2012 12:49:29 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <4FA4F5EC.8080203@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <837gwr555i.fsf@HIDDEN>
References: <87zk9xqarc.fsf@HIDDEN> <4F9BA973.1030806@HIDDEN>
	<CAFsbZ7bwbK3bjPh_=5jLrr8i76T7j4JBAVfzWzg5bd7CUtxehg@HIDDEN>
	<4F9F9A1D.3010605@HIDDEN> <83zk9rsxpv.fsf@HIDDEN>
	<4FA100F3.5090102@HIDDEN> <83mx5qsh8v.fsf@HIDDEN>
	<4FA4F5EC.8080203@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> Date: Sat, 05 May 2012 11:42:04 +0200
> From: martin rudalics <rudalics@HIDDEN>
> CC: sds@HIDDEN, 11365 <at> debbugs.gnu.org
> 
> this presents a problem of orthogonality.  We would have to save the
> window configuration in `gud-common-init' (in gud.el) and restore it
> in `gdb-reset' (in gdb-mi.el) which looks pretty ugly to me.

Why in gud-common-init?  Why not in gdb-many-windows?

The other method of invoking GDB, gdb-gud, does not change the window
configuration in any significant way, and never restored window
configuration for as long as the old "M-x gdb" existed.  So I think we
can limit this feature to gdb-many-windows, which _does_ change the
window configuration in dramatic ways.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration
Resent-From: martin rudalics <rudalics@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 05 May 2012 10:27:02 +0000
Resent-Message-ID: <handler.11365.B11365.133621359822647 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11365
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 11365 <at> debbugs.gnu.org, sds@HIDDEN
Received: via spool by 11365-submit <at> debbugs.gnu.org id=B11365.133621359822647
          (code B ref 11365); Sat, 05 May 2012 10:27:02 +0000
Received: (at 11365) by debbugs.gnu.org; 5 May 2012 10:26:38 +0000
Received: from localhost ([127.0.0.1]:36759 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SQcCC-0005tC-9G
	for submit <at> debbugs.gnu.org; Sat, 05 May 2012 06:26:38 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:57611)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1SQcC7-0005st-Px
	for 11365 <at> debbugs.gnu.org; Sat, 05 May 2012 06:26:33 -0400
Received: (qmail invoked by alias); 05 May 2012 10:24:34 -0000
Received: from 62-47-36-225.adsl.highway.telekom.at (EHLO [62.47.36.225])
	[62.47.36.225]
	by mail.gmx.net (mp070) with SMTP; 05 May 2012 12:24:34 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1/x6zUgqQrxEySSG8j0bdb+cGqc8Jiy/NiEQMhjPj
	Zfj3/KtR+40Cer
Message-ID: <4FA4FFEF.6000402@HIDDEN>
Date: Sat, 05 May 2012 12:24:47 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
References: <87zk9xqarc.fsf@HIDDEN> <4F9BA973.1030806@HIDDEN>
	<CAFsbZ7bwbK3bjPh_=5jLrr8i76T7j4JBAVfzWzg5bd7CUtxehg@HIDDEN>
	<4F9F9A1D.3010605@HIDDEN> <83zk9rsxpv.fsf@HIDDEN>
	<4FA100F3.5090102@HIDDEN> <83mx5qsh8v.fsf@HIDDEN>
	<4FA4F5EC.8080203@HIDDEN> <837gwr555i.fsf@HIDDEN>
In-Reply-To: <837gwr555i.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.9 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

 > Why in gud-common-init?  Why not in gdb-many-windows?

Because `gud-common-init' sets up the initial *gud- window.  At the time
`gdb-many-windows' is called (if it is called at all) the knowledge
about any previous window buffer is lost because it got changed by
`gud-common-init'.

 > The other method of invoking GDB, gdb-gud, does not change the window
 > configuration in any significant way, and never restored window
 > configuration for as long as the old "M-x gdb" existed.

Sam complained that

 >> *gud-lisp.run* buffer and window are preserved

and that

 >> it does not restore the window configuration which existed
 >> when at M-x gdb RET time.

Your proposal would address neither of these.

 > So I think we
 > can limit this feature to gdb-many-windows, which _does_ change the
 > window configuration in dramatic ways.

It does so, indeed.

martin




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration
Resent-From: Sam Steingold <sds@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 06 May 2012 05:43:01 +0000
Resent-Message-ID: <handler.11365.B11365.133628293316053 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11365
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: martin rudalics <rudalics@HIDDEN>
Cc: 11365 <at> debbugs.gnu.org
Reply-To: sds@HIDDEN
Received: via spool by 11365-submit <at> debbugs.gnu.org id=B11365.133628293316053
          (code B ref 11365); Sun, 06 May 2012 05:43:01 +0000
Received: (at 11365) by debbugs.gnu.org; 6 May 2012 05:42:13 +0000
Received: from localhost ([127.0.0.1]:37660 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SQuEW-0004As-Oj
	for submit <at> debbugs.gnu.org; Sun, 06 May 2012 01:42:13 -0400
Received: from mail-qa0-f51.google.com ([209.85.216.51]:51167)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <sam.steingold@HIDDEN>) id 1SQuEV-0004Ag-0c
	for 11365 <at> debbugs.gnu.org; Sun, 06 May 2012 01:42:11 -0400
Received: by qaea16 with SMTP id a16so2387965qae.17
	for <11365 <at> debbugs.gnu.org>; Sat, 05 May 2012 22:40:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=sender:from:to:cc:subject:in-reply-to:references:user-agent
	:return-receipt-to:reply-to:x-attribution:x-disclaimer:date
	:message-id:mime-version:content-type;
	bh=Su50lrUGI3nKdPwfm5b2byO8oneepCs02uCRRHUfeGg=;
	b=Ej4tQ2omCdGGNbG7FXmmjVRYfjR20hYM69MSkjhP89UgIUXm7hYeoJJfPG889ydwLP
	1VlGCebp/8juMPlmTcrXt2ZlAsdDIF5wjRwTc7foAYeeSI2VSR6se5Szrmz/EL/wR2ui
	2qTUAYz/Wa+KLlpcFivpD5plSgjB/q+6ZKOhSBSOGzlq3FKp3RwLnc7Cg00u5rWOv+1e
	tPBewCd8Ar740R0coKUrBxiSlXPxGb43OJj4RKQ9qbsQYjtYMoseD1dQ4WhITp0TzF6Y
	CAkMUIXrBnPWsMwJBPxu2l/uobYcZRk+zhduzLiDLRGfQARAb/WU0Wr1J6wqWBu49v4K
	W1vQ==
Received: by 10.224.78.82 with SMTP id j18mr10574197qak.10.1336282812028;
	Sat, 05 May 2012 22:40:12 -0700 (PDT)
Received: from t520sds (cl-pat-tr.clearspring.com. [8.18.54.254])
	by mx.google.com with ESMTPS id o7sm25375044qan.15.2012.05.05.22.40.10
	(version=TLSv1/SSLv3 cipher=OTHER);
	Sat, 05 May 2012 22:40:11 -0700 (PDT)
From: Sam Steingold <sds@HIDDEN>
In-Reply-To: <4FA4F5F0.6030401@HIDDEN> (martin rudalics's message of "Sat, 05
	May 2012 11:42:08 +0200")
References: <87zk9xqarc.fsf@HIDDEN> <4F9BA973.1030806@HIDDEN>
	<CAFsbZ7bwbK3bjPh_=5jLrr8i76T7j4JBAVfzWzg5bd7CUtxehg@HIDDEN>
	<4F9F9A1D.3010605@HIDDEN>
	<CAFsbZ7bnO-Bk-8d+ex+exWHcQWwncNg2ZwRf-HnBXLOLy_AN5Q@HIDDEN>
	<4FA100E7.3040605@HIDDEN> <87ehr2pt0q.fsf@HIDDEN>
	<4FA4F5F0.6030401@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
X-Attribution: Sam
X-Disclaimer: You should not expect anyone to agree with me.
Date: Sun, 06 May 2012 01:40:09 -0400
Message-ID: <87y5p57tqe.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.9 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.9 (/)

> * martin rudalics <ehqnyvpf@HIDDEN> [2012-05-05 11:42:08 +0200]:
>
> !   (remove-hook 'after-save-hook 'gdb-create-define-alist t)
> !   ;; Quit window of any *gud- buffer.
> !   (when (string-match "\\*gud-" (buffer-name (window-buffer)))
> !     (quit-window)))

quit-window is not a solution, because it often kills the window.
I live in a maximized emacs frame which is split vertically in to two
columns, and an indiscriminate use of quit-window quickly destroys that.

In fact, I would like a feature which would make these two side-by-side
windows indestructible (i.e., prevent them from being destroyed other
than by an explicit interactive C-x 0).  I guess I can set their
delete-window parameters to ignore but then

-1- C-x 0 will NOT delete them while

-2- any application which binds ignore-window-parameters to t will
    delete them.

but I digress...

-- 
Sam Steingold (http://sds.podval.org/) on Ubuntu 11.10 (oneiric) X 11.0.11103000
http://www.childpsy.net/ http://americancensorship.org http://memri.org
http://www.PetitionOnline.com/tap12009/ http://thereligionofpeace.com
I'm out of my mind, but feel free to leave a message...




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration
Resent-From: martin rudalics <rudalics@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 06 May 2012 10:28:01 +0000
Resent-Message-ID: <handler.11365.B11365.133630004212275 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11365
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: sds@HIDDEN
Cc: 11365 <at> debbugs.gnu.org
Received: via spool by 11365-submit <at> debbugs.gnu.org id=B11365.133630004212275
          (code B ref 11365); Sun, 06 May 2012 10:28:01 +0000
Received: (at 11365) by debbugs.gnu.org; 6 May 2012 10:27:22 +0000
Received: from localhost ([127.0.0.1]:37853 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SQygU-0003Bv-5F
	for submit <at> debbugs.gnu.org; Sun, 06 May 2012 06:27:22 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:38405)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1SQygR-0003Bi-90
	for 11365 <at> debbugs.gnu.org; Sun, 06 May 2012 06:27:20 -0400
Received: (qmail invoked by alias); 06 May 2012 10:25:18 -0000
Received: from 62-47-51-130.adsl.highway.telekom.at (EHLO [62.47.51.130])
	[62.47.51.130]
	by mail.gmx.net (mp012) with SMTP; 06 May 2012 12:25:18 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1/W+e8HRRnW7Ul2p5LA/Fq42rnsJnOVM5Ugcknvqv
	RbDOvb2DEG4EeN
Message-ID: <4FA65183.8070003@HIDDEN>
Date: Sun, 06 May 2012 12:25:07 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
References: <87zk9xqarc.fsf@HIDDEN>
	<4F9BA973.1030806@HIDDEN>	<CAFsbZ7bwbK3bjPh_=5jLrr8i76T7j4JBAVfzWzg5bd7CUtxehg@HIDDEN>	<4F9F9A1D.3010605@HIDDEN>	<CAFsbZ7bnO-Bk-8d+ex+exWHcQWwncNg2ZwRf-HnBXLOLy_AN5Q@HIDDEN>	<4FA100E7.3040605@HIDDEN>
	<87ehr2pt0q.fsf@HIDDEN>	<4FA4F5F0.6030401@HIDDEN>
	<87y5p57tqe.fsf@HIDDEN>
In-Reply-To: <87y5p57tqe.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.9 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

 > quit-window is not a solution, because it often kills the window.

Only if it was specially created by `display-buffer' before.

 > I live in a maximized emacs frame which is split vertically in to two
 > columns, and an indiscriminate use of quit-window quickly destroys that.

This should not happen in the case at hand: The gud window is either
created or reused via `display-buffer'.

Anyway, we could provide a `quit-window-function' variable.  Or maybe a
`display-buffer-record-window-function' which can set up the
quit-restore parameter in some way and, if the first element of the
quit-restore parameter is a function, have `quit-window' call that
function, passing it the cdr of the quit-restore parameter as argument.

 > In fact, I would like a feature which would make these two side-by-side
 > windows indestructible (i.e., prevent them from being destroyed other
 > than by an explicit interactive C-x 0).  I guess I can set their
 > delete-window parameters to ignore but then
 >
 > -1- C-x 0 will NOT delete them while

You could set the `delete-window' parameter to some home-brewed function
that deletes the window for C-x 0 only.  Probably, you then might have
to do something similar for C-x 1 ...

 > -2- any application which binds ignore-window-parameters to t will
 >     delete them.

Applications binding `ignore-window-parameters' should know what they
are doing.

 > but I digress...

martin




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 1 Nov 2019 18:55:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 01 14:55:49 2019
Received: from localhost ([127.0.0.1]:57146 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQc5M-000391-UT
	for submit <at> debbugs.gnu.org; Fri, 01 Nov 2019 14:55:49 -0400
Received: from host.gofardesign.uk ([208.79.239.190]:38484)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1iQc5L-00038m-6d
 for control <at> debbugs.gnu.org; Fri, 01 Nov 2019 14:55:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=marxist.se; 
 s=default;
 h=Subject:From:To:Date:Sender:Reply-To:Message-ID:Cc:MIME-Version
 :Content-Type:Content-Transfer-Encoding:Content-ID:Content-Description:
 Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:
 In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=9CMKKU1n24BLpmyRQq6S5U6Y6Z4Rm6Uzz1wjuUszuuo=; b=Z1x6TKmuH52JkUGZ4y3WpTd7yK
 2wdU9ZP4aVWJgTZuBwRGurnZBv37MvnW/J+eynVoYXp/vfbIGUD1C2mpwInLLjoSP1r/GyGwuX5i1
 r3kvnmrFWrnsbFwCem+Eu9JcFCrCFK1hUQYu/7XnfIXh3vemQFF9hatoTNOpbUBQz4Bk=;
Received: from h-70-69.a785.priv.bahnhof.se ([155.4.70.69]:35076
 helo=localhost)
 by host.gofardesign.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256)
 (Exim 4.92) (envelope-from <stefan@HIDDEN>) id 1iQc5F-00087k-8m
 for control <at> debbugs.gnu.org; Fri, 01 Nov 2019 13:55:41 -0500
Date: Fri, 01 Nov 2019 19:55:39 +0100
To: control <at> debbugs.gnu.org
From: Stefan Kangas <stefan@HIDDEN>
Subject: control message for bug #11365
X-OutGoing-Spam-Status: No, score=-1.0
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - host.gofardesign.uk
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - marxist.se
X-Get-Message-Sender-Via: host.gofardesign.uk: authenticated_id:
 stefan@HIDDEN
X-Authenticated-Sender: host.gofardesign.uk: stefan@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Message-Id: <E1iQc5M-000391-UT <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

severity 11365 wishlist
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 27 Sep 2020 12:42:01 +0000
Resent-Message-ID: <handler.11365.B11365.160121047717209 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11365
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Sam Steingold <sds@HIDDEN>
Cc: martin rudalics <rudalics@HIDDEN>, 11365 <at> debbugs.gnu.org
Received: via spool by 11365-submit <at> debbugs.gnu.org id=B11365.160121047717209
          (code B ref 11365); Sun, 27 Sep 2020 12:42:01 +0000
Received: (at 11365) by debbugs.gnu.org; 27 Sep 2020 12:41:17 +0000
Received: from localhost ([127.0.0.1]:48604 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMVzQ-0004TV-Rg
	for submit <at> debbugs.gnu.org; Sun, 27 Sep 2020 08:41:17 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36822)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kMVzO-0004TE-GM
 for 11365 <at> debbugs.gnu.org; Sun, 27 Sep 2020 08:41:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=dxoUtN+PIx4GfdUdH+xIA17oytDByBI8rGHSz119ghY=; b=DGgIh3/V+wOgErAEek+EsfLUOe
 UWRsLGqqZWYqhk+Ox9rP+hGKH4Ldo351HBI7L976PrsTbvS1ZPiZzXfLl/gwmVrttXY8siXrk0tJt
 r/4+rkfrpcYism0eHpf+HiQTD20RPUg3A0pJndz+5XpIif2Ab5m6I3v371/cgXfTNnqU=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kMVzD-00042l-0Q; Sun, 27 Sep 2020 14:41:08 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <87zk9xqarc.fsf@HIDDEN> <4F9BA973.1030806@HIDDEN>
 <CAFsbZ7bwbK3bjPh_=5jLrr8i76T7j4JBAVfzWzg5bd7CUtxehg@HIDDEN>
 <4F9F9A1D.3010605@HIDDEN>
 <CAFsbZ7bnO-Bk-8d+ex+exWHcQWwncNg2ZwRf-HnBXLOLy_AN5Q@HIDDEN>
X-Now-Playing: Sandy Denny's _Like An Old Fashioned Waltz_: "Friends"
Date: Sun, 27 Sep 2020 14:41:01 +0200
In-Reply-To: <CAFsbZ7bnO-Bk-8d+ex+exWHcQWwncNg2ZwRf-HnBXLOLy_AN5Q@HIDDEN>
 (Sam Steingold's message of "Tue, 1 May 2012 08:25:44 -0400")
Message-ID: <87wo0f4cki.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Sam Steingold <sds@HIDDEN> writes: > On Tue, May 1, 2012
 at 04:09, martin rudalics <rudalics@HIDDEN> wrote: >>>> Which command does
 "quit" run - `gdb-delete-frame-or-window'? >>> >>> dunno. the code indicates
 that, but the function see [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Sam Steingold <sds@HIDDEN> writes:

> On Tue, May 1, 2012 at 04:09, martin rudalics <rudalics@HIDDEN> wrote:
>>>> Which command does "quit" run - `gdb-delete-frame-or-window'?
>>>
>>> dunno. the code indicates that, but the function seems too simple to
>>> remove all those subordinate windows and buffers.
>>
>> So you have to check your key bindings ;-)
>
> I type "q u i t RET" in the *gud* buffer.
> do you seriously think I rebind any of those keys?!

Reading this old bug report, it's not quite clear what the problem is --
mostly because there's no recipe to reproduce the issue.

If I do `M-x gdb RET quit RET' on src/emacs, the latter doesn't do
anything to any windows (and it would be confusing if it did).

Does anybody have a recipe here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 27 Sep 2020 12:41:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 27 08:41:21 2020
Received: from localhost ([127.0.0.1]:48607 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMVzV-0004Tp-4M
	for submit <at> debbugs.gnu.org; Sun, 27 Sep 2020 08:41:21 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kMVzU-0004TN-99
 for control <at> debbugs.gnu.org; Sun, 27 Sep 2020 08:41:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ijWv1rhwEcij7A/mRVOrQFiVwP1FgYCxCRXaZiC7l8o=; b=RqTv5gUy8qsrgmQx2uq9ANiwae
 r+H3PXa45r3c1Ev24IqAghtVKMAUpjTHbOyPtLiP7zGK57esSDgtxj1PefSWQFIzsI7XJMVyW9E9d
 ZP5/KjW7K1A/FFmW4dxM/Kzv3Y4xdJA+YruSRSoE6hJkQygXaGC5N7evCriOqSBG5qqw=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1kMVzM-00042w-KY
 for control <at> debbugs.gnu.org; Sun, 27 Sep 2020 14:41:14 +0200
Date: Sun, 27 Sep 2020 14:41:11 +0200
Message-Id: <87v9fz4ck8.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #11365
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 11365 + moreinfo quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 11365 + moreinfo
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 27 Sep 2020 12:57:01 +0000
Resent-Message-ID: <handler.11365.B11365.160121142026852 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11365
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: 11365 <at> debbugs.gnu.org, sds@HIDDEN
Received: via spool by 11365-submit <at> debbugs.gnu.org id=B11365.160121142026852
          (code B ref 11365); Sun, 27 Sep 2020 12:57:01 +0000
Received: (at 11365) by debbugs.gnu.org; 27 Sep 2020 12:57:00 +0000
Received: from localhost ([127.0.0.1]:48637 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMWEe-0006z2-EO
	for submit <at> debbugs.gnu.org; Sun, 27 Sep 2020 08:57:00 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51936)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kMWEc-0006ym-Kt
 for 11365 <at> debbugs.gnu.org; Sun, 27 Sep 2020 08:56:58 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50700)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kMWEX-0002Lb-3Z; Sun, 27 Sep 2020 08:56:53 -0400
Received: from [176.228.60.248] (port=1453 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kMWET-00067n-8o; Sun, 27 Sep 2020 08:56:49 -0400
Date: Sun, 27 Sep 2020 15:56:33 +0300
Message-Id: <83eemnnzsu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <87wo0f4cki.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 27 Sep 2020 14:41:01 +0200)
References: <87zk9xqarc.fsf@HIDDEN> <4F9BA973.1030806@HIDDEN>
 <CAFsbZ7bwbK3bjPh_=5jLrr8i76T7j4JBAVfzWzg5bd7CUtxehg@HIDDEN>
 <4F9F9A1D.3010605@HIDDEN>
 <CAFsbZ7bnO-Bk-8d+ex+exWHcQWwncNg2ZwRf-HnBXLOLy_AN5Q@HIDDEN>
 <87wo0f4cki.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Sun, 27 Sep 2020 14:41:01 +0200
> Cc: 11365 <at> debbugs.gnu.org
> 
> Reading this old bug report, it's not quite clear what the problem is --
> mostly because there's no recipe to reproduce the issue.
> 
> If I do `M-x gdb RET quit RET' on src/emacs, the latter doesn't do
> anything to any windows (and it would be confusing if it did).

The missing piece is "M-x gdb-many-windows RET", I think.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 27 Sep 2020 13:02:01 +0000
Resent-Message-ID: <handler.11365.B11365.160121166630925 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11365
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 11365 <at> debbugs.gnu.org, sds@HIDDEN
Received: via spool by 11365-submit <at> debbugs.gnu.org id=B11365.160121166630925
          (code B ref 11365); Sun, 27 Sep 2020 13:02:01 +0000
Received: (at 11365) by debbugs.gnu.org; 27 Sep 2020 13:01:06 +0000
Received: from localhost ([127.0.0.1]:48655 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMWIb-00082U-Qz
	for submit <at> debbugs.gnu.org; Sun, 27 Sep 2020 09:01:06 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37098)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kMWIa-0007wB-50
 for 11365 <at> debbugs.gnu.org; Sun, 27 Sep 2020 09:01:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=0eE9rZwJJgnZjOssHpF/g8gi/hfQX7eG2JV3rbUR914=; b=dBv4zVGVwkeYXWpRbA3X3sHXXQ
 42KTyU+4e7CTmnuh5EJqCgtmrwJsVaqAXgsJK9UvIJFLWzJeZQ2/GF9A4jICOSeDHwul0QEhRyFrG
 +96Zdo1S2NyRKCm26RWBWAkf8nKmwYoQ5LFlVUAuPZJpN5gDiNTi7EnScUECuAgLeZMw=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kMWIP-0004Bz-A9; Sun, 27 Sep 2020 15:00:58 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <87zk9xqarc.fsf@HIDDEN> <4F9BA973.1030806@HIDDEN>
 <CAFsbZ7bwbK3bjPh_=5jLrr8i76T7j4JBAVfzWzg5bd7CUtxehg@HIDDEN>
 <4F9F9A1D.3010605@HIDDEN>
 <CAFsbZ7bnO-Bk-8d+ex+exWHcQWwncNg2ZwRf-HnBXLOLy_AN5Q@HIDDEN>
 <87wo0f4cki.fsf@HIDDEN> <83eemnnzsu.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEUKDQstJyjdwq5b
 UU6XfnH////rkHIoAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+QJGww6H2qyazMAAAGwSURBVDjLhZQL
 kqQgDIbJ0gcgwgVEDgDiAVrg/mfaBAhOz87Upqq1zeefF6BS/zdQYH5yAxiDiP/4EZRCNIZFcEiI
 yEEq/cebJVBHzHTuYKtJDFL36AHitqs/AdmSNcoZGyUDGn07732L5a1eaFfq7dDZswUC6nwvcO6n
 H3YgP4kE0ZYJfHApz1iABv1jZd/n+69dnV9BlJrg1sPV+jXqp9hthu9XbkXGNDK3oQghuoH0iBSu
 NoVWGnn153pJyUlm73rw2gQcaWbpuUNuUliQ9G6lCKOwFarrr6eVHD8UD0jSyNP3yP/+AF9MwPYd
 3L8BUZzfgYz3LL+BIGXNN2bjsM0h+jDGdUxBcX1UudCKNBbLmiNvqUqAYCO8UigswScCBFl3rLW9
 rtDYlQe4XZSJ3D6QgiJlS6uSIwxgLuP8kTNFSplmbGkHzl2Sw+Z3Bkj+Gy8jwHlL60mR0IVa6zqI
 qG/VyuEb9dg2r1GqataAz3MsdgcRaN5IDTP1nW0BtdrASkdNWUtHMBul13YDascMOb1CPxH0owuj
 EqS7lRnKaUP20kcDPgFHYzPqB/v4wPwFIi9kW81k4vIAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjAt
 MDktMjdUMTI6NTg6MzErMDA6MDBMMSdBAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIwLTA5LTI3VDEy
 OjU4OjMxKzAwOjAwPWyf/QAAAABJRU5ErkJggg==
X-Now-Playing: Sandy Denny's _Like An Old Fashioned Waltz_: "Until The Real
 Thing Comes Along"
Date: Sun, 27 Sep 2020 15:00:51 +0200
In-Reply-To: <83eemnnzsu.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 27 Sep
 2020 15:56:33 +0300")
Message-ID: <87y2kv2x30.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > The missing piece is
 "M-x gdb-many-windows RET", I think. Oh, wow. I've never been so shocked
 by something Emacs has done as the window configuration Emacs popped up after
 `M-x gdb' after doing `M-x gdb-many-windows'. :-) 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> The missing piece is "M-x gdb-many-windows RET", I think.

Oh, wow.  I've never been so shocked by something Emacs has done as the
window configuration Emacs popped up after `M-x gdb' after doing `M-x
gdb-many-windows'.  :-)

Anyway, I can indeed reproduce the problem -- after saying "quit" in the
main gdb buffer, all the gdb buffers go away, but I'm left with a
two-window conf (and not the one-window conf I started out with).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 27 Sep 2020 13:01:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 27 09:01:15 2020
Received: from localhost ([127.0.0.1]:48658 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMWIl-0008Ak-2a
	for submit <at> debbugs.gnu.org; Sun, 27 Sep 2020 09:01:15 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37114)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kMWIj-00085Q-O3
 for control <at> debbugs.gnu.org; Sun, 27 Sep 2020 09:01:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=CxA186B6APPEgfarKwWrmELM2VJaGIr+9np6c3os3s0=; b=OIEvUO02J6Rwf09HDRvA3PjmOh
 KjcLrSmlCjKzNjHMWWiS66oRt2JE8qoffEla69LksSHCKyOZtbA2eY+Jo4ktG/R0rvbbiLOn3HkKi
 V+4/O5kyRpqjC6Tc+Dc1PLh1tyx2Pi2/IvxrDs9A+plRaXVuGeG0VNGpTFvFFivV05ZY=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1kMWIc-0004CB-0O
 for control <at> debbugs.gnu.org; Sun, 27 Sep 2020 15:01:08 +0200
Date: Sun, 27 Sep 2020 15:01:05 +0200
Message-Id: <87wo0f2x2m.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #11365
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 11365 - moreinfo quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 11365 - moreinfo
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 27 Sep 2020 13:03:01 +0000
Resent-Message-ID: <handler.11365.B11365.16012117663137 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11365
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: 11365 <at> debbugs.gnu.org, sds@HIDDEN
Received: via spool by 11365-submit <at> debbugs.gnu.org id=B11365.16012117663137
          (code B ref 11365); Sun, 27 Sep 2020 13:03:01 +0000
Received: (at 11365) by debbugs.gnu.org; 27 Sep 2020 13:02:46 +0000
Received: from localhost ([127.0.0.1]:48664 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kMWKE-0000oI-Dj
	for submit <at> debbugs.gnu.org; Sun, 27 Sep 2020 09:02:46 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53622)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kMWKC-0000kD-Ry
 for 11365 <at> debbugs.gnu.org; Sun, 27 Sep 2020 09:02:45 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50878)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kMWK7-0003E7-Ic; Sun, 27 Sep 2020 09:02:39 -0400
Received: from [176.228.60.248] (port=1816 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kMWK6-0000zO-Eu; Sun, 27 Sep 2020 09:02:39 -0400
Date: Sun, 27 Sep 2020 16:02:23 +0300
Message-Id: <83d027nzj4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <87y2kv2x30.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 27 Sep 2020 15:00:51 +0200)
References: <87zk9xqarc.fsf@HIDDEN> <4F9BA973.1030806@HIDDEN>
 <CAFsbZ7bwbK3bjPh_=5jLrr8i76T7j4JBAVfzWzg5bd7CUtxehg@HIDDEN>
 <4F9F9A1D.3010605@HIDDEN>
 <CAFsbZ7bnO-Bk-8d+ex+exWHcQWwncNg2ZwRf-HnBXLOLy_AN5Q@HIDDEN>
 <87wo0f4cki.fsf@HIDDEN> <83eemnnzsu.fsf@HIDDEN> <87y2kv2x30.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: sds@HIDDEN,  11365 <at> debbugs.gnu.org
> Date: Sun, 27 Sep 2020 15:00:51 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > The missing piece is "M-x gdb-many-windows RET", I think.
> 
> Oh, wow.  I've never been so shocked by something Emacs has done as the
> window configuration Emacs popped up after `M-x gdb' after doing `M-x
> gdb-many-windows'.  :-)

Try debugging with this some time.  It's really nice (IMO).





Last modified: Sun, 27 Sep 2020 13:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.